
<!-- test body with attribute -->

<script src="cache/748d598a34237c0166b90b8114e0b89e.js" type="text/javascript" attr></script>

<!-- test body without attribute -->

<script src="cache/748d598a34237c0166b90b8114e0b89e.js" type="text/javascript"></script>

<!-- test single file with extension -->
<!-- js.js -->
<script src="cache/db437fd870608d63cbd4fcdd21b2f445.js" type="text/javascript"></script>

<!-- test single file without extension -->
<!-- js.js -->
<script src="cache/db437fd870608d63cbd4fcdd21b2f445.js" type="text/javascript"></script>

<!-- test multiple files with extensions -->
<!-- js.js, js2.js -->
<script src="cache/a8d6aee2c8b70e4186433cadc27d13d7.js" type="text/javascript"></script>

<!-- test multiple files without extensions -->
<!-- js.js, js2.js -->
<script src="cache/a8d6aee2c8b70e4186433cadc27d13d7.js" type="text/javascript"></script>

<!-- test multiple files with attribute -->
<!-- js.js, js2.js -->
<script src="cache/a8d6aee2c8b70e4186433cadc27d13d7.js" type="text/javascript" attr></script>

<!-- test file that can't be read -->
<!-- 'invalid' could not be read as file -->
<script src="invalid" type="text/javascript"></script>

<!-- test multiple files with attribute -->
<!-- js.js -->
<script src="cache/db437fd870608d63cbd4fcdd21b2f445.js" type="text/javascript" attr></script>
<!-- 'invalid' could not be read as file -->
<script src="invalid" type="text/javascript" attr></script>

<!-- test multiple files without attribute -->
<!-- js.js -->
<script src="cache/db437fd870608d63cbd4fcdd21b2f445.js" type="text/javascript"></script>
<!-- 'invalid' could not be read as file -->
<script src="invalid" type="text/javascript"></script>
